Bug 142651 - Writer: Next Change stopped working in 7.2
Summary: Writer: Next Change stopped working in 7.2
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: low normal
Assignee: Jim Raykowski
URL:
Whiteboard: target:7.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Writer-Outline-Folding
  Show dependency treegraph
 
Reported: 2021-06-04 12:08 UTC by Timur
Modified: 2021-06-11 14:15 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample with changes (10.97 KB, application/vnd.oasis.opendocument.text)
2021-06-04 12:08 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2021-06-04 12:08:28 UTC
Created attachment 172621 [details]
Sample with changes

Next Change command in the Edit - Track Changes menu / Track Changes toolbar stopped working in 7.2+.
Comment 1 Timur 2021-06-04 12:10:51 UTC
I bibisected in 7.2 Linux:
commit d267c44c1503c7f93a83d60d3ec4a2bb6a1278f2
Date:   Fri May 14 06:18:42 2021 +0200
    source sha:6b09276d157abada74e1a4989700139167207778
    previous sha:6c8ca02c5935a800cff70f3c173319b454b63c41

author	Jim Raykowski <raykowj@gmail.com>	2021-04-18 23:00:38 -0800
committer	Jim Raykowski <raykowj@gmail.com>	2021-05-14 06:14:35 +0200
commit	6b09276d157abada74e1a4989700139167207778 (patch)
tree	d90e2036f47b3acc5caa777a33847e4096731fb6
parent	6c8ca02c5935a800cff70f3c173319b454b63c41 (diff)
Outline folding experimental feature rehack

CC: Jim, please see.
Comment 2 László Németh 2021-06-04 12:31:04 UTC
To reproduce:

1) Switch on Tools->Options->LibreOffice->Advanced->Enable experimental features. Restart LibreOffice

2) Switch on Tools->Options->LibreOffice Writer->View->Show outline-folding buttons
Comment 3 Jim Raykowski 2021-06-08 06:05:25 UTC
@Timur, thanks for the bibisect. Fix is in progress.
Comment 4 Commit Notification 2021-06-10 22:26:16 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/239b4bb27fd8db26e8416045b3015688a8b1b0ae

Resolves tdf#142651 Writer: Next Change stopped working

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Timur 2021-06-11 14:15:25 UTC
Thanks, verified.